# Interface IBrowserFactory

public interface IBrowserFactory
Implementators of `org.eclipse.help.base.browser` extension points must provide implementation of this interface.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`IBrowser`
`createBrowser()`
Obtains a new instance of a web browser.
`boolean`
`isAvailable()`
Checks whether the factory can work on the user system.

## Method Details

### isAvailable

boolean isAvailable()
Checks whether the factory can work on the user system.

Returns:
  false if the factory cannot work on this system; for example the required native browser required by browser adapters that it creates is not installed.

### createBrowser

IBrowser createBrowser()
Obtains a new instance of a web browser.

Returns:
  instance of IBrowser